Changeset 16464


Ignore:
Timestamp:
Feb 17, 2006, 12:45:25 AM (14 years ago)
Author:
yves
Message:

Bug:
Submitted by:
Reviewed by:
Approved by:
Obtained from:

just a few warnings and explanations on dependencies

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/lang/gnustep-base/Portfile

    r13881 r16464  
    1 # $Id: Portfile,v 1.2 2005/09/04 19:44:59 yves Exp $
     1# $Id: Portfile,v 1.3 2006/02/17 00:45:25 yves Exp $
    22
    33PortSystem   1.0
     
    3333
    3434patchfiles    patch-SSL-GNUmakefile
     35
     36pre-fetch {
     37    ui_msg " \n\n\
     38        Please note that gnustep-base and other gnustep ports \n\
     39        that depend on it (gnustep-gui, gnustep-back, ...)\n\
     40        exist for testing and developpement purpose only\n\n\
     41        No GNUstep application using the GNU runtime \n\
     42        is known to run on MacOSX right now.\n\
     43        So you probably don't really want to install gnustep-base ... \n\n\
     44    "
     45}
     46
     47pre-extract {
     48        set fl [open "| grep -c gnu-gnu-gnu ${prefix}/GNUstep/System/Library/Makefiles/config.make"]
     49        set data [read $fl]
     50        if {[catch {close $fl} err]} {
     51                ui_msg "\n\n\
     52                  gnustep-base depends on 'gnustep-make +puredarwin'\n\
     53                  Please uninstall gnustep-make and reinstall with the proper variant\n\
     54                "
     55        exit 1
     56        }
     57}
    3558
    3659configure.args   --with-ffi-include=${prefix}/include/gcc40 \
Note: See TracChangeset for help on using the changeset viewer.